Package: org.codehaus.groovy.control.io

## [Java] Class StringReaderSource

- org.codehaus.groovy.control.io.StringReaderSource

-     public class StringReaderSource
      extends AbstractReaderSource

  A ReaderSource for source strings.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractReaderSource` | `configuration`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StringReaderSource(String string, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Reader` | `getReader()` Returns a new Reader on the underlying source object.
    `` | `public URI` | `getURI()` Returns a Data URI (RFC 2397) containing the literal value of this source string.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractReaderSource` | `canReopenSource, cleanup, getLine`

- - ### Constructor Detail

    - #### public StringReaderSource(String string, CompilerConfiguration configuration)

      Creates the ReaderSource from a File descriptor.

      Parameters:
        `string` - string containing script source
        `configuration` - configuration for compiling source

  - ### Method Detail

    - #### @Override
      public Reader getReader()

      Returns a new Reader on the underlying source object.

    - #### @Override
      public URI getURI()

      Returns a Data URI (RFC 2397) containing the literal value of this source string.

      Returns:
        Data URI containing the literal value of this source string.